use serde::Serialize;

use super::GlobalSettings;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "blog_post_page")]
pub(crate) struct RenderBlogPostPage {
    global_settings: GlobalSettings,

    /// The title that will be shown visibly on the page.
    title: Option<String>,

    self_link: Option<String>,
}

impl RenderBlogPostPage {
    pub(crate) fn new(
        global_settings: GlobalSettings,
        title: Option<String>,
        self_link: Option<String>,
    ) -> RenderBlogPostPage {
        RenderBlogPostPage {
            global_settings,
            title,
            self_link,
        }
    }
}
